EventException (SLF4J 1.7.25 API)
Date: 2017-03-16

org.slf4j.ext

## Class EventException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.slf4j.ext.EventException

- All Implemented Interfaces:
    Serializable

      public class EventException
      extends RuntimeException

  Exception used to identify issues related to an event that is being logged.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventException()` Default constructor.
    `EventException(String exceptionMessage)` Constructor that allows an exception message.
    `EventException(String exceptionMessage, Throwable originalException)` Constructor that chains another Exception or Error and also allows a message to be specified.
    `EventException(Throwable originalException)` Constructor that chains another Exception or Error.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventException

          public EventException()

      Default constructor.

    - #### EventException

          public EventException(String exceptionMessage)

      Constructor that allows an exception message.
      Parameters:
        `exceptionMessage` - The exception message.

    - #### EventException

          public EventException(Throwable originalException)

      Constructor that chains another Exception or Error.
      Parameters:
        `originalException` - The original exception.

    - #### EventException

          public EventException(String exceptionMessage,
                        Throwable originalException)

      Constructor that chains another Exception or Error and also allows a message to be specified.
      Parameters:
        `exceptionMessage` - The exception message.
        `originalException` - The original exception.

Copyright © 2005–2017 QOS.ch. All rights reserved.